Homepage | Products | OX Knowledge Base | Support | Try Now | Contact | Company
OX Logo
Page 1 of 2 12 LastLast
Results 1 to 10 of 15
  1. #1
    trapcode4077 Guest

    Default Install OX6 on OpenSuse 11 error createcontext

    I try to install on a dedicated server with openSuse 11 the community edition of OX6. after the wiki following http://oxpedia.org/index.php?title=Q...ion_openSUSE11 I stand at the point to create a context, I use the following line and change the settings to match my server.

    $ /opt/open-xchange/sbin/createcontext -A oxadminmaster -P admin_master_password -c 1 -u oxadmin -d "Context Admin" -g Admin -s User -p admin_password -L defaultcontext -e oxadmin@example.com-q 1024 --access-combination-name=all

    Then I got an error: "Unrecognized options on the command line: Unknown option ``-c'

    Has anyone an idea what wrong? I get the website-login screen.

    Thy
    Trapcode

    Thx
    Trapcode

  2. #2
    Join Date
    Aug 2008
    Posts
    107

    Default

    Hi,

    I don't know if it matters in this context, but between "-e oxadmin@example.com" and "-p" is no space in your example.

    Everything looks good in your instruction.
    Last edited by 881822; 04-14-2010 at 12:26 AM. Reason: wrong language
    Viele Gre
    Rene

    OS: Ubuntu Server amd64 12.4 LTS
    JRE: openjdk-7-jre, MySQL: 5.5, Apache 2.2, Dovecot 2.0.19
    OX-Server backend: OXSE latest
    OX-frontend: OXSE latest appsuite + ox6

  3. #3
    trapcode4077 Guest

    Default

    Sorry, the missing gap is only a type error, what my problem is that the option -c is not known by the system.

  4. #4
    Join Date
    May 2009
    Posts
    6

    Default same Error on 6.16.xx version

    on RHEL 5 :
    Code:
    /opt/open-xchange/sbin/createcontext -A oxadminmaster -P <mypass> -N 1 -u oxadmin -d "Context Admin" -g Admin -s User -p Ox6-2008 -L defaultcontext  -e admin@mycompany.local -q 1024 --access-combination-name=all
    the response is:
    Code:
    context could not be created: 
    Server response:
     com.openexchange.admin.plugins.PluginException: com.openexchange.admin.rmi.exceptions.StorageException: Table 'configdb.sequence_context' doesn't exist

    it's made on fresh install...
    all the commands typed before this working:
    Code:
    /opt/open-xchange/sbin/registerserver -n oxserver -A oxadminmaster -P <mypass>
    server 2 registered
    /opt/open-xchange/sbin/registerfilestore -A oxadminmaster -P <mypass> -t file:///opt/ox6/filestore
    filestore 3 registered
    /opt/open-xchange/sbin/registerdatabase -A oxadminmaster -P <mypass> -n oxdatabase -p <mydbpass> -m true
    database 4 registered
    the question is who made the 'configdb.sequence_context' ?

    and for shure how to repair this ?

  5. #5
    Join Date
    Feb 2007
    Location
    Germany
    Posts
    3,695

    Default

    Hi,

    this table is created by the initconfigdb script, please check if it has been executed correctly.

  6. #6

    Default

    This looks like you installed the new bundle open-xchange-admin-plugin-autocontextid. If this is installed you get the table configdb.sequence_context.

    Furthermore the option -c is removed from the command line tool if you install this bundle, because it's obsolete if the context id is autogenerated.

    I just wonder why this bundle was installed because it's not mentioned in the installation guide you refer to.

    Regards,

    Dennis

  7. #7
    trapcode4077 Guest

    Default

    I follow the guide an now try the following. I delete the configdb manually and use again "$ /opt/open-xchange/sbin/initconfigdb --configdb-pass=db_password -a" the configdb was created but after all I can't set a context, in MySql the configdb_sequence contains only one field with the entry "1". I've no idea what's going wrong. Maybe there is a way to manually configure this configdb.

    Regards
    Trapcode

    Update: I try the lines from adnuser and get the same error. When I log at the tables of my SQL Database there is no "configdb.sequence_context" only a "configdb.configdb_sequence" may be this is the error.
    Last edited by trapcode4077; 04-14-2010 at 06:26 PM.

  8. #8

    Default

    There should be no configdb.sequence_context if no autocontextid is in use. Can you please post a list of the packages you have installed.

    Regards,

    Dennis

  9. #9
    trapcode4077 Guest

    Default

    I'm not an expert in Linux. Here are the version-numbers of my OX install, mysql and java the server runs unter openSuse 11.0 X86-64.

    Open-Xchange is Version 6.16.0.0-4_4.1
    MySQL is version 5.051a-27.4
    Java SE RE is version 1.6.0_19

    And another question to Dennis Sieben,I've no idea if I have autocontextid or not, so where I can check it out. Because I still didn't understood why the command "createcontext" say the option -c is invalid. Or is there the discription I posted above not compatible with my OX6 version.

    Hope for help,
    Trapcode

  10. #10

    Default

    Please post the output of "rpm -qa|grep -i open-xchange". This will also tell us, if there's autocontextid installed or not. I assume it's installed because of the error message you get, but I want to be sure...

    Regards,

    Dennis

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •